### Method

# GUPnPAV DIDLLiteContainer add_search_class_full

#### Declaration [src]

    void
    gupnp_didl_lite_container_add_search_class_full (
      GUPnPDIDLLiteContainer* container,
      const char* search_class,
      gboolean include_derived
    )

#### Description [src]

Add a new search class to the `container`.

#### Parameters

`search_class`

  Type: `const char*`

  The searchClass to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`include_derived`

  Type: `gboolean`

  IncludeDerived attribute of the DIDL.